Package com.google.javascript.jscomp.webservice.common

# Enum Protocol.WarningLevelKey

java.lang.Object
java.lang.Enum<Protocol.WarningLevelKey>
com.google.javascript.jscomp.webservice.common.Protocol.WarningLevelKey

All Implemented Interfaces:
  `Protocol.ProtocolEnum`, `Serializable`, `Comparable<Protocol.WarningLevelKey>`, `java.lang.constant.Constable`

Enclosing class:
  `Protocol`

public static enum Protocol.WarningLevelKey extends Enum<Protocol.WarningLevelKey> implements Protocol.ProtocolEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`QUIET`
`VERBOSE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
`static Protocol.WarningLevelKey`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Protocol.WarningLevelKey[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QUIET

public static final Protocol.WarningLevelKey QUIET

### DEFAULT

public static final Protocol.WarningLevelKey DEFAULT

### VERBOSE

public static final Protocol.WarningLevelKey VERBOSE

## Method Details

### values

public static Protocol.WarningLevelKey[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Protocol.WarningLevelKey valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Protocol.ProtocolEnum`
Returns:
  A string representing the key or value specified by the protocol.